/**
 *  下拉框,radio,多选框的options
 * @param {*}  初始化配置 || 下拉框请求回来的值 || 对应的字段
 * @returns
 */
export const changeOptions = (modalConfig, options, key) => {
  modalConfig?.formItems.map((item) => {
    if (item.key == key) {
      item.valueOptions = options
    }
  })
}

/**
 *  启用 禁用
 * @param {*}  初始化配置 || true禁用，false启用 || 对应的字段[]?
 * @returns
 */
export const handleDisabled = (modalConfig, boolean, key) => {
  modalConfig?.formItems.map((item) => {
    if (key) {
      key.map((i) => {
        if (item.key == i) {
          if (item.options) {
            item.options.disabled = boolean
          } else {
            item.disabled = boolean
          }
        } else {
          if (item.options) {
            item.options.disabled = !boolean
          } else {
            item.disabled = !boolean
          }
        }
      })
    } else {
      if (item.options) {
        item.options.disabled = boolean
      } else {
        item.disabled = boolean
      }
    }
  })
}
